SQL Server Login Dialog Box

Zašlete nám váš názor na tuto stránku. Nápověda k přihlášení k databázím OLE

Dialogové okno Přihlášení k serveru SQL Server

Pokusíte-li se o spojení OLE DB bez zadání dostatečných informací, které ovladač potřebuje k navázání spojení se serverem SQL Server, zobrazí zprostředkovatel OLE DB serveru Microsoft® SQL Server™ dialogové okno Přihlášení k serveru SQL Server.

Dialogové okno Přihlášení k serveru SQL Server se nejprve zobrazí pouze s těmito prvky:

pole Server,

zaškrtávací políčko Použít důvěryhodné připojení,

pole Přihlašovací ID,

pole Heslo,

tlačítka OK, Storno a Možnosti.

Klepnete-li na tlačítko Možnosti, dialogové okno se rozbalí a bude navíc obsahovat skupinový rámeček Možnosti:

pole Databáze,

pole Jazyk,

pole Název aplikace,

pole ID pracovní stanice.

Pole Server

Název serveru SQL Server v síti. Vyberete-li název serveru ze seznamu, není nutné dále zadávat konfiguraci. Pokud název serveru napíšete, musí se jednat o položku ve skupině Advanced v nástroji SQL Client Configuration nebo o síťový název serveru, na kterém je spuštěn SQL Server.

Používáte-li stejný počítač jako SQL Server, lze zadat do pole Server text „(local)“. Uživatel se pak může připojit k místní kopii serveru SQL Server, a to i v případě nesíťové verze serveru SQL Server. Chcete-li zadat pojmenovanou instanci serveru SQL Server, použijte název serveru ve tvaru NázevServeru\NázevInstance.

Další informace o názvech serverů pro různé typy sítí najdete v dokumentaci instalace serveru SQL Server v databázi informací SQL Server Books Online.

Zaškrtávací políčko Použít důvěryhodné připojení

Je–li toto políčko zaškrtnuto, požaduje zprostředkovatel OLE DB serveru SQL Server zabezpečené (prověřené) spojení se serverem SQL Server spuštěným pod operačním systémem Microsoft Windows NT®nebo Microsoft Windows® 2000. Je-li vybrána tato možnost, použije SQL Server integrované zabezpečení přihlášení pro vytvoření připojení pomocí tohoto zdroje dat bez ohledu na současný režim zabezpečení přihlášení na serveru. Všechna přihlašovací ID a hesla jsou ignorována. U správy systému SQL Server musí být k přihlašovacímu identifikátoru aplikace SQL Server přidružen přihlašovací identifikátor Microsoft Windows®.

Není-li toto políčko zaškrtnuto, použije server SQL Server při navazování spojení pomocí tohoto zdroje dat standardní zabezpečení přihlášení. U všech žádosti o připojení je nutné uvést přihlašovací identifikátor a heslo serveru SQL Server.

Pole Přihlašovací ID

Není-li zaškrtnuto políčko Použít důvěryhodné připojení, určuje toto textové pole přihlašovací identifikátor pro spojení se serverem SQL Server. Je-li políčko Použít důvěryhodné připojení zaškrtnuto, pole Přihlašovací ID není k dispozici.

Pole Heslo

Není-li zaškrtnuto políčko Použít důvěryhodné připojení, toto textové pole určuje heslo pro spojení se serverem SQL Server. Je-li políčko Použít důvěryhodné připojení zaškrtnuto, pole Heslo není k dispozici.

Pole Databáze

Určuje výchozí databázi, která bude použita při připojení. Tato možnost potlačí výchozí databázi nastavenou pro přihlášení k serveru. Není-li databáze zadána, bude při připojení použita výchozí databáze nastavená pro přihlášení na straně serveru.

Pole Jazyk

Určuje národní jazyk, který budou používat systémové zprávy serveru SQL Server. V aplikaci SQL Server musí být příslušný jazyk nainstalován. Tato možnost potlačuje výchozí jazyk nastavený pro přihlášení na straně serveru. Není-li jazyk zadán, při spojení se použije výchozí jazyk nastavený pro přihlášení k serveru.

Pole Název aplikace

Toto volitelné pole určuje název aplikace, který bude uložen do sloupce program_name v řádku daného připojení v tabulce master.dbo.sysprocesses.

Pole ID pracovní stanice

Toto volitelné pole určuje identifikátor pracovní stanice, který bude uložen do sloupce hostname v řádku daného připojení v tabulce master.dbo.sysprocesses.

©1988-2000 Microsoft Corporation. Všechna práva vyhrazena.


Microsoft SQL Server 2000 Copyright and Disclaimer

Zašlete nám váš názor na tuto stránku. Nápověda k přihlášení k databázím OLE

Microsoft SQL Server 2000 – autorská práva a zřeknutí se práv

Tento dokument včetně obsažených vzorových aplikací je určen pouze k informačním účelům a společnost Microsoft v něm nevyjadřuje žádné záruky, výslovné ani předpokládané. Informace obsažené v tomto dokumentu, včetně vzorových příkladů, adres URL a dalších odkazů na stránky WWW v síti Internet se mohou změnit bez předchozího upozornění. Veškerá rizika spojená s používáním tohoto dokumentu nebo s následky tohoto používání nese uživatel.

Hlavním účelem vzorového příkladu je znázornění pojmu nebo vhodného použití konkrétního příkazu nebo klauzule. Většina vzorových příkladů nezahrnuje celý kód, který je normálně obsažen v plně funkčním systému, protože většina obvyklého ověřování dat a zpracování chyb byla odstraněna, aby mohl být vzorový příklad zaměřen na konkrétní pojem nebo příkaz. Odborná pomoc není u vzorových příkladů ani u uvedeného zdrojového kódu k dispozici.

Pokud není uvedeno jinak, jsou uvedené společnosti, organizace, produkty, osoby a události fiktivní a spojení s jakoukoli skutečnou společností, organizací, produktem, osobou nebo událostí není zamýšleno a nemělo by být vyvozováno. Zodpovědnost za dodržování příslušných autorských práv spočívá na uživateli. Bez omezení autorských práv nemůže být žádná část tohoto dokumentu kopírována, ukládána či zavedena do systému vyhledávání informací či jakýmkoli způsobem šířena (elektronicky, mechanicky, kopírováním, nahráváním nebo jinak) bez ohledu na účel, aniž k tomu společnost Microsoft vydá písemný souhlas.

Společnost Microsoft může vlastnit patenty, patentové přihlášky, ochranné známky, autorská práva či jiná práva týkající se duševního vlastnictví zahrnující předměty témat v tomto dokumentu. S výjimkou případů výslovně uvedených v písemných licenčních smlouvách společnosti Microsoft vám poskytnutím tohoto dokumentu nevznikají žádná oprávnění vůči těmto patentům, ochranným známkám, autorským právům či jinému duševnímu vlastnictví.

©1996-2000 Microsoft Corporation. Všechna práva vyhrazena.

Active Directory, ActiveX, BackOffice, CodeView, Developer Studio, FoxPro, JScript, Microsoft, Microsoft Press, Microsoft SQL Server, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, Visual Basic, Visual C++, Visual Studio, Win32, Windows 2000, Windows a Windows NT jsou registrované obchodní známky nebo obchodní známky společnosti Microsoft Corporation ve Spojených státech a jiných zemích.

Názvy společností či produktů zmíněné v tomto dokumentu mohou být ochrannými známkami příslušných vlastníků.

Verze: 8.00.000

©1988-2000 Microsoft Corporation. Všechna práva vyhrazena.